#ifndef APP_StdGadget_H
#define APP_StdGadget_H
/******************************************************************************
 **
 **	C++ Class Library for the Amiga system software.
 **
 **	Copyright (C) 1994 by Armin Vogt  **  EMail: armin@uni-paderborn.de
 **	All Rights Reserved.
 **
 **	$VER: apphome:APlusPlus/intuition/StdGadget.h 1.04 (04.05.94) $
 **	
 ******************************************************************************/

#include <APlusPlus/intuition/GadgetCV.h>


/******************************************************************************************
          StdGadget class 

   Encapsulation of all standard Intuition gadgets. Geometry is solely managed by the 
	GraphicObject class. 

 ******************************************************************************************/

class StdGadget : public GadgetCV
{
   private:
      struct Gadget gadget;
   protected:

   public:
      StdGadget(GOB_OWNER,
                  UWORD flags,UWORD activation,UWORD gadgetType,
                  APTR gadgetRender,APTR selectRender,struct IntuiText *gadgetText,
                  LONG mutualExclude,APTR specialInfo,UWORD gadgetID,
                  AttrList& attrs);

      APTR redrawSelf(GWindow *homeWindow,ULONG& );
		
		ULONG setAttributes(AttrList& attrs);
		ULONG getAttribute(Tag tag,ULONG& dataStore);
};

#endif
